{%- set relative_path = "../../../" %}
{%- include "header.html" %}
{%- include "menu.html" %}
<div class='box-container'>
    <div class="scene">{{ boxes }}</div>
</div>
<div class="positions">
{%- for k, v in positions.items()|sort %}
    {%- set diff = property_diff['Positions.'+k]|default({}) %}
    <div class="position-line">
        <h4 class="{{ diff[0] }}">{{ k }}</h4><span class="sparklines" id="sparkline-{{ k|lower|replace(' ','_')|replace('(','')|replace(')','') }}"></span>
    </div>
{%- endfor %}
</div>
<div class="container-fluid main-body">
    <div class="row">
        <div class="col-md-4 col-lg-3">
            <h2>#{{ script["Index"] }} - {{ script["Name"] }}</h2>
            <dl class="dl-horizontal">
                {%- macro dd_dt_diff(key, label) %}
                    {%- if key in script %}
                        {%- set diff = property_diff[key]|default({}) %}
                    <dt class="{{ diff[0] }}">{{ label }}</dt>
                    <dd><span{% if diff[0] == "changed" %} data-toggle='tooltip' data-placement='top' title="was {{ caller(diff[1]['old_value']) }}"{% endif %}>{{ caller(script[key]) }}</span></dd>
                    {%- endif %}
                {%- endmacro %}
                <dt class="{{ property_diff['Unknown']|default('') }}">Hide Unknowns</dt>
                <dd><input type="checkbox" autocomplete="off" checked onclick="$('.unknown').toggle()"/></dd>
                {%- call(value) dd_dt_diff('TotalTicks', 'Total Frames') %}{{ value }}{%- endcall %}
                {%- call(value) dd_dt_diff('InterruptFrame', 'Without Interruption') %}{{ value + 1 }}{%- endcall %}
                {%- call(value) dd_dt_diff('LastActionFrame', 'Recovery Starts At') %}{{ value + 1 }}{%- endcall %}
                {%- call(value) dd_dt_diff('Flag', 'Flags') %}{{ value }}{%- endcall %}
                {%- call(value) dd_dt_diff('SlideVX', 'SlideVX') %}{{ value|round(6) }}{%- endcall %}
                {%- call(value) dd_dt_diff('SlideVY', 'SlideVY') %}{{ value|round(6) }}{%- endcall %}
                {%- call(value) dd_dt_diff('SlideAX', 'SlideAX') %}{{ value|round(6) }}{%- endcall %}
                {%- call(value) dd_dt_diff('SlideAY', 'SlideAY') %}{{ value|round(6) }}{%- endcall %}
            </dl>
            {%- if "Unknown" in script and (script["Unknown"]|length > 1 or "Others" not in script["Unknown"]) %}
            <div class="unknown">
                <h4>Unknowns</h4>
                <dl class="dl-horizontal">
                    {%- for k, v in script["Unknown"].items() if k != "Others" %}
                        {%- set diff = property_diff['Unknown.'+k]|default({}) %}
                    <dt class="{{ diff[0] }}">{{ k }}</dt>
                    <dd{% if diff[0] == "changed" %} data-toggle='tooltip' data-placement='top' title='was {{ diff[1]["old_value"] }}'{% endif %}>{{ v }}</dd>
                    {%- endfor %}
                </dl>
            </div>
            {%- endif %}
        </div>
        <div class="col-md-8 col-lg-9">
            <div class='timeline-container'>
                {{ timeline }}
                <div class="script-cancel-list">
                    <ul>
                        {%- for name, moves in cancel_lists %}
                        <li>
                            <h4>Cancel {{ name }}: </h4>
                            {%- for name, link in moves %}
                            <a href="../{{ link }}">{{ name }}</a>
                            {%- endfor %}
                        </li>
                        {%- endfor %}
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<script>{{ js }}</script>
<script src="../../../jquery.sparkline.min.js"></script>
<script src="../../../webapp.js"></script>
{%- include "footer.html" %}